RLEDestFormat Struct Reference

## Data Fields

Uint8 | BytesPerPixel
Uint8 | padding [3]
Uint32 | Rmask
Uint32 | Gmask
Uint32 | Bmask
Uint32 | Amask
Uint8 | Rloss
Uint8 | Gloss
Uint8 | Bloss
Uint8 | Aloss
Uint8 | Rshift
Uint8 | Gshift
Uint8 | Bshift
Uint8 | Ashift

## Detailed Description

Definition at line 618 of file SDL_RLEaccel.c.

## Field Documentation

Uint8 RLEDestFormat::Aloss

Definition at line 629 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint32 RLEDestFormat::Amask

Definition at line 625 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::Ashift

Definition at line 633 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::Bloss

Definition at line 628 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint32 RLEDestFormat::Bmask

Definition at line 624 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::Bshift

Definition at line 632 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::BytesPerPixel

Definition at line 620 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface(), and UnRLEAlpha().

Uint8 RLEDestFormat::Gloss

Definition at line 627 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint32 RLEDestFormat::Gmask

Definition at line 623 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::Gshift

Definition at line 631 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::padding[3]

Definition at line 621 of file SDL_RLEaccel.c.

Uint8 RLEDestFormat::Rloss

Definition at line 626 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint32 RLEDestFormat::Rmask

Definition at line 622 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

Uint8 RLEDestFormat::Rshift

Definition at line 630 of file SDL_RLEaccel.c.

Referenced by RLEAlphaSurface().

The documentation for this struct was generated from the following file:

- src/video/SDL_RLEaccel.c